/**
 * @file test_diag_protocol_stack.cpp
 * @brief Unit tests for DiagProtocolStack component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "diag_protocol_stack.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_diag_protocol_stack_initialize(void)
{
    DiagProtocolStack comp;
    bool result = comp.initialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(comp.isInitialized());
}

void test_diag_protocol_stack_deinitialize(void)
{
    DiagProtocolStack comp;
    comp.initialize();
    
    bool result = comp.deinitialize();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_FALSE(comp.isInitialized());
}

} // extern "C"
